0

When we try to print an invoice from the Magento admin panel, we get this error message:

Fatal error: Declaration of Zend_Pdf_FileParserDataSource_File::__construct() must be compatible with Zend_Pdf_FileParserDataSource::__construct() in /var/www/html/includes/src/Zend_Pdf_FileParserDataSource_File.php on line 41

We tried to apply the changes suggested in another StackOverflow answer, but we got a blank pdf invoice file.

We are using Magento 1.8 on PHP 5.4.40.

Kindly advise us on how to resolve this issue.

  • Can you please post more details about your environment? What version of Magento are you using? What version of PHP are you using? Thanks! – Joseph Leedy Sep 15 '15 at 12:43
  • PHP : 5.4.40 Magento 1.8 – Rat Sep 15 '15 at 13:27
  • Have you applied the PHP 5.4 patch? – Joseph Leedy Sep 15 '15 at 14:18
  • I solved this by downloading a later version of the Zend framework, and dropping the Zend_Pdf into the lib/Zend/Pdf/ directory. I believe as @Joseph points out this is part of the php 5.4 update – ash Sep 15 '15 at 15:30
  • hi, Its work a weeks ago. But last two days get the above error. Kindly advise this issue. – Rat Sep 18 '15 at 5:11

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.